More brands from

    Light System Manager Software

    San Diego Trolley Station
    at One America Plaza
    San Diego, California, USA
    Welcome to the Light System Manager download page, where you can find the latest version of Light System Composer software.

    Light System Composer

    Windows (LSM gen5)
    Requires 64-bit Windows 7 or newer. Compatible with Light System Engine gen5, firmware v2.0.0 or newer. Not compatible with firmware v1.9.6 or earlier.
    Windows (LSM gen4 and earlier)
    Mac (LSM gen5)
    Requires macOS 10.10 or newer. Compatible with Light System Engine gen5, firmware version 2.0.0 or newer. Not compatible with firmware version 1.9.6 or earlier.
    Mac (LSM gen4 and earlier)

    Light System Engine Firmware Updates

    Light System Engine Firmware v2.3.0
    Requires Light System Engine running firmware v2.0.0 or later. If upgrading Light System Engine gen5 from firmware v1.9.5 or earlier, you must first upgrade to 1.9.6, then to 2.0.0, then to the latest version.
    Light System Engine Firmware v2.0.0
    Requires Light System Engine running firmware v2.0.0. If upgrading Light System Engine gen5 from firmware v1.9.5 or earlier, you must first upgrade to 1.9.6, then to 2.0.0
    Light System Engine Firmware v1.9.6